{
  stdenv
, lib, fetchFromGitLab
, meson, ninja, pkg-config
, qtbase, wrapQtAppsHook
}:

stdenv.mkDerivation {
  pname = "dfl-ipc";
  version = "20221012";

  src = fetchFromGitLab {
    owner = "desktop-frameworks";
    repo = "IPC";
    rev = "7370f8da2601a57d85d0989339f6e2fe700f9813";
    sha256 = "1iv1kc9i75q56h0zi4fncf0hdf11wjzvjkik14n9nxgbz89w7cyh";
  };

  buildInputs = [ qtbase meson ninja pkg-config ];
  nativeBuildInputs = [ wrapQtAppsHook ]; 
}
