{
  stdenv
, lib, fetchFromGitLab
, cmake, pkg-config
, qtbase, wrapQtAppsHook
, kwayland, ki18n, kcoreaddons
, pipewire, libepoxy, ffmpeg
}:

stdenv.mkDerivation rec {
  pname = "xwaylandvideobridge";
  version = "5.27.3";

  src = builtins.fetchurl {
    url = "https://download.kde.org/stable/plasma/${version}/${pname}-${version}.tar.xz";
    sha256 = "sha256:0b95jjkfpkvc2ld3x6p7nw6kn6fkqba9q7x95ywvgag2b00jdb56";
  };

  buildInputs = [ qtbase kwayland ki18n kcoreaddons pipewire libepoxy ffmpeg cmake pkg-config ];
  nativeBuildInputs = [ wrapQtAppsHook ]; 
}
